package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.PoNewsFile;

/**
 * 信息文件Mapper接口
 */
public interface PoNewsFileMapper
{
    /**
     * 查询信息文件
     */
    public PoNewsFile selectPoNewsFileByFileId(Long fileId);

    /**
     * 查询信息文件列表
     */
    public List<PoNewsFile> selectPoNewsFileList(PoNewsFile poNewsFile);

    /**
     * 新增信息文件
     */
    public int insertPoNewsFile(PoNewsFile poNewsFile);

    /**
     * 修改信息文件
     */
    public int updatePoNewsFile(PoNewsFile poNewsFile);

    /**
     * 删除信息文件
     */
    public int deletePoNewsFileByFileId(Long fileId);

    /**
     * 批量删除信息文件
     */
    public int deletePoNewsFileByFileIds(Long[] fileIds);
}
